#pragma once

#include <string>
#include <vector>

#include <opencv2/opencv.hpp>

std::vector<std::pair<std::string, cv::Scalar>> coco_classes = {
    {"person", cv::Scalar(0, 0, 255)},
    {"bicycle", cv::Scalar(255, 0, 0)},
    {"car", cv::Scalar(0, 255, 0)},
    {"motorbike", cv::Scalar(255, 255, 0)},
    {"aeroplane", cv::Scalar(255, 0, 255)},
    {"bus", cv::Scalar(0, 255, 255)},
    {"train", cv::Scalar(255, 128, 0)},
    {"truck", cv::Scalar(255, 0, 128)},
    {"boat", cv::Scalar(128, 0, 255)},
    {"traffic light", cv::Scalar(0, 128, 255)},
    {"fire hydrant", cv::Scalar(0, 255, 128)},
    {"stop sign", cv::Scalar(128, 255, 0)},
    {"parking meter", cv::Scalar(128, 128, 255)},
    {"bench", cv::Scalar(128, 255, 128)},
    {"bird", cv::Scalar(255, 128, 128)},
    {"cat", cv::Scalar(128, 128, 0)},
    {"dog", cv::Scalar(0, 128, 128)},
    {"horse", cv::Scalar(128, 0, 128)},
    {"sheep", cv::Scalar(128, 128, 128)},
    {"cow", cv::Scalar(0, 0, 128)},
    {"elephant", cv::Scalar(0, 128, 0)},
    {"bear", cv::Scalar(0, 0, 0)},
    {"zebra", cv::Scalar(255, 255, 128)},
    {"giraffe", cv::Scalar(255, 128, 255)},
    {"backpack", cv::Scalar(128, 128, 0)},
    {"umbrella", cv::Scalar(0, 0, 255)},
    {"handbag", cv::Scalar(128, 0, 128)},
    {"tie", cv::Scalar(128, 230, 220)},
    {"suitcase", cv::Scalar(0, 128, 255)},
    {"frisbee", cv::Scalar(255, 255, 0)},
    {"skis", cv::Scalar(255, 128, 128)},
    {"snowboard", cv::Scalar(128, 128, 255)},
    {"sports ball", cv::Scalar(128, 255, 128)},
    {"kite", cv::Scalar(255, 128, 128)},
    {"baseball bat", cv::Scalar(0, 255, 128)},
    {"baseball glove", cv::Scalar(128, 128, 0)},
    {"skateboard", cv::Scalar(0, 128, 255)},
    {"surfboard", cv::Scalar(128, 255, 128)},
    {"tennis racket", cv::Scalar(128, 0, 255)},
    {"bottle", cv::Scalar(255, 0, 128)},
    {"wine glass", cv::Scalar(128, 255, 0)},
    {"cup", cv::Scalar(0, 255, 128)},
    {"fork", cv::Scalar(0, 128, 128)},
    {"knife", cv::Scalar(128, 0, 0)},
    {"spoon", cv::Scalar(128, 0, 128)},
    {"bowl", cv::Scalar(255, 128, 0)},
    {"banana", cv::Scalar(255, 255, 128)},
    {"apple", cv::Scalar(255, 128, 255)},
    {"sandwich", cv::Scalar(128, 255, 255)},
    {"orange", cv::Scalar(0, 255, 255)},
    {"broccoli", cv::Scalar(255, 128, 128)},
    {"carrot", cv::Scalar(128, 128, 255)},
    {"hot dog", cv::Scalar(128, 255, 128)},
    {"pizza", cv::Scalar(255, 128, 128)},
    {"donut", cv::Scalar(128, 128, 0)},
    {"cake", cv::Scalar(0, 128, 128)},
    {"chair", cv::Scalar(128, 128, 255)},
    {"sofa", cv::Scalar(128, 255, 128)},
    {"sofa", cv::Scalar(128, 128, 0)},
    {"bed", cv::Scalar(255, 128, 128)},
    {"diningtable", cv::Scalar(128, 128, 255)},
    {"toilet", cv::Scalar(255, 0, 255)},
    {"tvmonitor", cv::Scalar(128, 255, 255)},
    {"laptop", cv::Scalar(255, 128, 128)},
    {"mouse", cv::Scalar(128, 255, 128)},
    {"remote", cv::Scalar(255, 128, 128)},
    {"keyboard", cv::Scalar(128, 128, 255)},
    {"cell phone", cv::Scalar(255, 0, 255)},
    {"microwave", cv::Scalar(128, 255, 255)},
    {"oven", cv::Scalar(255, 128, 128)},
    {"toaster", cv::Scalar(128, 128, 255)},
    {"sink", cv::Scalar(255, 0, 255)},
    {"refrigerator", cv::Scalar(128, 255, 255)},
    {"book", cv::Scalar(255, 128, 128)},
    {"clock", cv::Scalar(128, 255, 128)},
    {"vase", cv::Scalar(255, 128, 128)},
    {"scissors", cv::Scalar(128, 128, 255)},
    {"teddy bear", cv::Scalar(255, 0, 255)},
    {"hair drier", cv::Scalar(128, 255, 255)},
    {"toothbrush", cv::Scalar(255, 128, 128)}};
